Summary: Ensures program compatibility with GNUstep/OPENSTEP.
Name: libPropList
Version: 0.10.1
Release: 6
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp,windowmaker.org/libs/libPropList-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The libPropList library uses an opaque data type to represent a tree
structure made of strings, data blocks, arrays and dictionaries
(key-value pair lists). The tree structure can be manipulated, written
out to or read in from a file, and synchronized with the contents of a
file. LibPropList imitates the behavior of and is compatible with the
property lists used in GNUstep/OPENSTEP, which are formed with the
NSString, NSData, NSArray and NSDictionary classes.

LibPropList enables programs that use configuration or preference
files to make them compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without using Objective-C or GNUstep/OPENSTEP.

%prep 
%setup -q

%build
%configure
make

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libPropList.*
/usr/include/proplist.h

%changelog
* Mon Jul 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- run ldconfig in post scripts

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- specify ownership

* Thu Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%makeinstall and %%configure

* Tue Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- version 0.10.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- version 0.9.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- packaged independently
